PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007_Drawing

Source Location: /PHPExcel/Writer/Excel2007/Drawing.php

### Class Overview

    PHPExcel_Writer_Excel2007_WriterPart
       |
       --PHPExcel_Writer_Excel2007_Drawing

PHPExcel_Writer_Excel2007_Drawing

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- allDrawings
- writeDrawings
- writeVMLHeaderFooterImages
- _writeChart
- _writeDrawing
- _writeVMLHeaderFooterImage

### Inherited Methods

#### Class: PHPExcel_Writer_Excel2007_WriterPart

PHPExcel_Writer_Excel2007_WriterPart::__construct()
  Set parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()
  Get parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()
  Set parent IWriter object

### Class Details

[line 36]
PHPExcel_Writer_Excel2007_Drawing

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method allDrawings [line 579]

`PHPExcel_Worksheet_Drawing[] allDrawings( [PHPExcel $pPHPExcel = null])`

Get an array of all drawings

#### Tags:

return: | All drawings in PHPExcel
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method writeDrawings [line 47]

`string writeDrawings( [PHPExcel_Worksheet $pWorksheet = null], int &$chartRef, [boolean $includeCharts = FALSE])`

Write drawings to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pWorksheet |
int | &$chartRef | Chart ID
boolean | $includeCharts | Flag indicating if we should include drawing details for charts

[ Top ]

### method writeVMLHeaderFooterImages [line 389]

`string writeVMLHeaderFooterImages( [PHPExcel_Worksheet $pWorksheet = null])`

Write VML header/footer images to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pWorksheet |

[ Top ]

### method _writeChart [line 100]

`void _writeChart( [PHPExcel_Shared_XMLWriter $objWriter = null], [PHPExcel_Chart $pChart = null], [int $pRelationId = -1])`

Write drawings to XML format

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Shared_XMLWriter | $objWriter | XML Writer
PHPExcel_Chart | $pChart |
int | $pRelationId |

[ Top ]

### method _writeDrawing [line 172]

`void _writeDrawing( [PHPExcel_Shared_XMLWriter $objWriter = null], [PHPExcel_Worksheet_BaseDrawing $pDrawing = null], [int $pRelationId = -1])`

Write drawings to XML format

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Shared_XMLWriter | $objWriter | XML Writer
PHPExcel_Worksheet_BaseDrawing | $pDrawing |
int | $pRelationId |

[ Top ]

### method _writeVMLHeaderFooterImage [line 537]

`void _writeVMLHeaderFooterImage( [PHPExcel_Shared_XMLWriter $objWriter = null], [string $pReference = ''], [PHPExcel_Worksheet_HeaderFooterDrawing $pImage = null])`

Write VML comment to XML format

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Shared_XMLWriter | $objWriter | XML Writer
string | $pReference | Reference
PHPExcel_Worksheet_HeaderFooterDrawing | $pImage | Image

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:50 +0200 by phpDocumentor 1.4.4